PDFAAdapter
Date: 2016-04-28

org.apache.xmlgraphics.xmp.schemas.pdf

## Class PDFAAdapter

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchemaAdapter
  - - org.apache.xmlgraphics.xmp.schemas.pdf.PDFAAdapter

-     public class PDFAAdapter
      extends XMPSchemaAdapter

  Schema adapter implementation for both the old (deprecated) and the current PDF/A schema. The old namespace is still needed to make Adobe Acrobat happy.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFAAdapter(Metadata meta, java.lang.String namespace)` Constructs a new adapter for PDF/A around the given metadata object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAmendment()`
    `java.lang.String` | `getConformance()`
    `int` | `getPart()`
    `void` | `setAmendment(java.lang.String value)` Sets the PDF/A amendment identifier ("amd").
    `void` | `setConformance(java.lang.String value)` Sets the PDF/A conformance level.
    `void` | `setPart(int value)` Sets the PDF/A version identifier ("part").

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setCompact, setDateValue, setLangAlt, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFAAdapter

          public PDFAAdapter(Metadata meta,
                     java.lang.String namespace)

      Constructs a new adapter for PDF/A around the given metadata object.
      Parameters:
        `meta` - the underlying metadata
        `namespace` - the namespace to access the schema (must be one of the PDF/A schema namespaces)

  - ### Method Detail

    - #### setPart

          public void setPart(int value)

      Sets the PDF/A version identifier ("part").
      Parameters:
        `value` - the version identifier ("1" for PDF/A-1)

    - #### getPart

          public int getPart()

      Returns:
        the PDF/A version identifier

    - #### setAmendment

          public void setAmendment(java.lang.String value)

      Sets the PDF/A amendment identifier ("amd").
      Parameters:
        `value` - the amendment identifiert

    - #### getAmendment

          public java.lang.String getAmendment()

      Returns:
        the PDF/A amendment identifier

    - #### setConformance

          public void setConformance(java.lang.String value)

      Sets the PDF/A conformance level.
      Parameters:
        `value` - the conformance level ("A" or "B" for PDF/A-1)

    - #### getConformance

          public java.lang.String getConformance()

      Returns:
        the PDF/A conformance level